package ws;

import beans.Ufpr;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Produces;
import javax.ws.rs.Path;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.Response.ResponseBuilder;

@Path("format")
public class FormatResource {

    @POST
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public Response getJson(Ufpr p) throws IOException{

	try {
	    Capa(p);
	    Rosto(p);
	    Dedicatoria(p);
	    Agradecimento(p);
	    Resumo(p);
	    Abstract(p);
	    Epigrafe(p);
	    Conteudo(p);
	    Runtime run = Runtime.getRuntime();
	    String comando = "pdflatex -output-directory=/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/ "
		    + "/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/Tcc.tex";
	    run.exec(comando);
	    run.exec(comando);
	    run.exec(comando);
	    run.exec(comando);
	    return Response.ok().build();
	} catch (IOException e) {
	    return Response.serverError().build();
	}
    }

    private void Capa(Ufpr p) throws IOException {
	String resul = "\\begin{titlepage}\n"
		+ "\\vfill\n"
		+ "\\begin{center}\n{\\large \\textbf{UNIVERSIDADE FEDERAL DO PARANÁ}}\\\\[4cm]\n";
	if (p.getIntegrante0() != null) {
	    resul = resul + "{\\large \\textbf{" + p.getIntegrante0().toUpperCase();
	} 
	if (p.getIntegrante1() != null) {
	    resul = resul + p.getIntegrante1().toUpperCase();
	} 
	if (p.getIntegrante2() != null) {
	    resul = resul + p.getIntegrante2().toUpperCase();
	} 
	if (p.getIntegrante3()!= null) {
	    resul = resul + p.getIntegrante3().toUpperCase();
	} 
	if (p.getIntegrante4() != null) {
	    resul = resul + p.getIntegrante4().toUpperCase();
	} 
	resul = resul + "}}\\\\[5cm]\n";
	if (p.getName() != null) {
	    resul = resul + "{\\Large " + p.getName().toUpperCase();
	}
	if (p.getSubname() != null) {
	    resul = resul + "\\\\" + p.getSubname().toUpperCase();
	}
	resul = resul + "}\\\\[2cm]\n"
		    + "\\vfill" + "\n"
		    + "\\vspace{2cm}\n";
	if (p.getCidade() != null) {
	    resul = resul + "{\\large \\textbf{" + p.getCidade().toUpperCase() + "}}\\\\\n";
	}
	if (p.getAnoap() != null) {
	    resul = resul + "{\\large \\textbf{" + p.getAnoap() + "}}\n";
	}
	resul = resul + "\\end{center}\n"
		+ "\\end{titlepage}";
	File arquivo = new File("/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/Capa.tex");
	try {
	    if (arquivo.exists()) {
		arquivo.delete();
		arquivo.createNewFile();
	    } else {
		arquivo.createNewFile();
	    }
	    try (FileWriter fw = new FileWriter(arquivo, true); BufferedWriter bw = new BufferedWriter(fw)) {
		bw.write(resul);
		bw.newLine();
	    }
	} catch (IOException ex) {
	    System.out.println("não foi possível criar o arquivo Capa.tex");
	}
    }
    
    private void Dedicatoria(Ufpr p){
	
	String resul01 = "\\clearpage\n"
			+"\\vspace*{0.75\\textheight}"
			+"\\begin{flushright}";
		if(p.getDedicatoria() != null){
			resul01= resul01 +"\\emph{" + p.getDedicatoria() +"}\n";
		}else{resul01 = resul01 + " ";}
			resul01 = resul01 +"\\end{flushright}";
    	File arquivo = new File("/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/Dedicatoria.tex");
	try {
	    if (arquivo.exists()) {
		arquivo.delete();
		arquivo.createNewFile();
	    } else {
		arquivo.createNewFile();
	    }
	    try (FileWriter fw = new FileWriter(arquivo, true); BufferedWriter bw = new BufferedWriter(fw)) {
		bw.write(resul01);
		bw.newLine();
	    }
	} catch (IOException ex) {
	    System.out.println("não foi possível criar o arquivo Dedicatoria.tex");
	}
    }
    
    private void Epigrafe(Ufpr p){
	
	String resul01 = "\\clearpage\n"
			+"\\vspace*{0.75\\textheight}"
			+"\\begin{flushright}";
		if(p.getEpigrafe() != null){
			resul01= resul01 +"\\emph{" + p.getEpigrafe() + "}\n";
		}else{resul01 = resul01 + " ";}
			resul01 = resul01 +"\\end{flushright}\\newpage";
    	File arquivo = new File("/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/Epigrafe.tex");
	try {
	    if (arquivo.exists()) {
		arquivo.delete();
		arquivo.createNewFile();
	    } else {
		arquivo.createNewFile();
	    }
	    try (FileWriter fw = new FileWriter(arquivo, true); BufferedWriter bw = new BufferedWriter(fw)) {
		bw.write(resul01);
		bw.newLine();
	    }
	} catch (IOException ex) {
	    System.out.println("não foi possível criar o arquivo Epigrafe.tex");
	}
    }
    
    private void Agradecimento(Ufpr p){
    
	String resul02 = "\\begin{titlepage}\n"
		+ "\\vfill\n"
		+ "\\begin{center}\n{\\large \\textbf{AGRADECIMENTO}}\n"
		+ "\\end{center}\n";
	if (p.getAgradecimento() != null) {
			resul02 = resul02 + "\\text{" + p.getAgradecimento() + "}\n";
	}else{resul02 = resul02 + " ";}
	resul02 = resul02 +"\\end{titlepage}";
	File arquivo = new File("/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/Agradecimento.tex");
	try {
	    if (arquivo.exists()) {
		arquivo.delete();
		arquivo.createNewFile();
	    } else {
		arquivo.createNewFile();
	    }
	    try (FileWriter fw = new FileWriter(arquivo, true); BufferedWriter bw = new BufferedWriter(fw)) {
		bw.write(resul02);
		bw.newLine();
	    }
	} catch (IOException ex) {
	    System.out.println("não foi possível criar o arquivo Agradecimento.tex");
	}
    }
    
    private void Resumo(Ufpr p){
    String resul03 = "\\begin{titlepage}\n"
		+ "\\vfill\n"
		+ "\\begin{center}\n{\\large \\textbf{RESUMO}}\n"
		+ "\\end{center}\n";
	if (p.getAgradecimento() != null) {
			resul03 = resul03 + "\\text{" + p.getResumo() + "}\n";
	}else{resul03 = resul03 + " ";}
	resul03 = resul03 +"\\end{titlepage}";
	File arquivo = new File("/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/Resumo.tex");
	try {
	    if (arquivo.exists()) {
		arquivo.delete();
		arquivo.createNewFile();
	    } else {
		arquivo.createNewFile();
	    }
	    try (FileWriter fw = new FileWriter(arquivo, true); BufferedWriter bw = new BufferedWriter(fw)) {
		bw.write(resul03);
		bw.newLine();
	    }
	} catch (IOException ex) {
	    System.out.println("não foi possível criar o arquivo Resumo.tex");
	}
    }
    
    private void Abstract(Ufpr p){
	String resul04 = "\\begin{titlepage}\n"
		+ "\\vfill\n"
		+ "\\begin{center}\n{\\large \\textbf{ABSTRACT}}\n"
		+ "\\end{center}\n";
	if (p.getAgradecimento() != null) {
			resul04 = resul04 + "\\text{" + p.getAbstra() + "}\n";
	}else{resul04 = resul04 + " ";}
	resul04 = resul04 +"\\end{titlepage}";
	File arquivo = new File("/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/Abstract.tex");
	try {
	    if (arquivo.exists()) {
		arquivo.delete();
		arquivo.createNewFile();
	    } else {
		arquivo.createNewFile();
	    }
	    try (FileWriter fw = new FileWriter(arquivo, true); BufferedWriter bw = new BufferedWriter(fw)) {
		bw.write(resul04);
		bw.newLine();
	    }
	} catch (IOException ex) {
	    System.out.println("não foi possível criar o arquivo Abstract.tex");
	}
    }

    private void Rosto(Ufpr p) throws IOException {
	
	String resul1 =	    "\\begin{titlepage}\n"
			    + "\\vfill\n"
			    + "\\begin{center}\n{\\large \\textbf{UNIVERSIDADE FEDERAL DO PARANÁ}}\\\\[2.5cm]\n";
	if (p.getIntegrante0() != null) {
	    resul1 = resul1 + "{\\large \\textbf{" + p.getIntegrante0().toUpperCase();
	} 
	if (p.getIntegrante1() != null) {
	    resul1 = resul1 + p.getIntegrante1().toUpperCase();
	} 
	if (p.getIntegrante2() != null) {
	    resul1 = resul1 + p.getIntegrante2().toUpperCase();
	} 
	if (p.getIntegrante3()!= null) {
	    resul1 = resul1 + p.getIntegrante3().toUpperCase();
	} 
	if (p.getIntegrante4() != null) {
	    resul1 = resul1 + p.getIntegrante4().toUpperCase();
	} 
	    resul1 = resul1 + "}}\\\\[4cm]\n";
	if (p.getName() != null) {
	    resul1 = resul1 + "{\\Large " + p.getName().toUpperCase();
	}
	if (p.getSubname() != null) {
	    resul1 = resul1 + "\\\\" + p.getSubname().toUpperCase();
	}
	resul1 = resul1	    + "}\\\\[4cm]\n"
			    + "\\hspace{.45\\textwidth} %posiciona a minipage\n"
			    + "\\begin{minipage}{.5\\textwidth}\n";
	if (p.getDescricao() != null){
	    resul1= resul1 + "\\large " + p.getDescricao() + "[1cm]\n\\end{minipage}\n";
	}
	resul1 = resul1	    + "\\vfill\n"
			    + "\\vspace{2cm}\n";
	if (p.getCidade() != null){
		resul1 = resul1 + "\\large \\textbf{" + p.getCidade().toUpperCase() + "}\n";
	}
	if (p.getAnoap() != null){
		resul1 = resul1 + "\\large \\textbf{" + p.getAnoap() + "}\n";
	}
	resul1 = resul1	    + "\\end{center}\n"
			    + "\\end{titlepage}";
	File arquivo1 = new File("/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/Rosto.tex");
	try {
	    if (arquivo1.exists()) {
		arquivo1.delete();
		arquivo1.createNewFile();
	    } else {
		arquivo1.createNewFile();
	    }
	    try (FileWriter fw = new FileWriter(arquivo1, true); BufferedWriter bw = new BufferedWriter(fw)) {
		bw.write(resul1);
		bw.newLine();
	    }
	} catch (IOException ex) {
	    System.out.println("não foi possível criar o arquivo Rosto.tex");
	}
    }

    private void Conteudo(Ufpr p) throws IOException {

	String resul2 = "\\documentclass[A4paper,11pt]{article}\n"
			+ "\\usepackage[utf8x]{inputenc}\n"
			+ "\\usepackage[T1]{fontenc}\n"
			+ "\\usepackage{ae}\n"
			+ "\\usepackage[sc]{mathpazo}\n"
			+ "\\linespread{1.15}         % Palatino needs more leading (space between lines)\n"
			+ "\\setlength{\\hoffset}{-10mm} %Margem esquerda\n"
			+ "\\setlength{\\textwidth}{445pt} %Comprimento da Linha\n"
			+ "\\setlength{\\voffset}{-8mm} %Margem superior da pagina\n"
			+ "\\setlength{\\textheight}{630pt} %margem inferior da página\n"
			+ "\\setcounter{secnumdepth}{5}\n"
			+ "\\setcounter{tocdepth}{5}\n"
			+ "\\usepackage{tabularx}\n"
			+ "\\usepackage{booktabs}\n"
			+ "\\usepackage{colortbl} %colorir tabelas\n"
			+ "\\usepackage[table]{xcolor} %coloir tabelas\n"
			+ "\\usepackage{color} %colorir textos \\textcolor{cor}{texto}\n"
			+ "\\usepackage{multirow}\n"
			+ "\\usepackage{tikz}\n"
			+ "\\usepackage{helvet}\n"
			+ "\\usepackage{amsmath}\n"
			+ "\\usepackage{amssymb}\n"
			+ "\\usepackage{amsthm}\n"
			+ "%\\usepackage{concmath}\n"
			+ "\\renewcommand{\\rmdefault}{phv} % Arial\n"
			+ "%\\renewcommand{\\sfdefault}{phv} % Arial\n"
			+ "\\DeclareMathSizes{12}{20}{14}{10} %fonte 12\n"
			+ "\\usetikzlibrary{calc}\n"
			+ "\\usepackage{eso-pic}\n"
			+ "\\newcommand\\BackgroundPic{\\put(80,150){\\parbox[t]{\\paperwidth}{\\centering\\includegraphics[scale=1.3]{00.png}}}}\n"
			+ "\\newcommand\\scalemath[2]{\\scalebox{#1}{\\mbox{\\ensuremath{\\displaystyle #2}}}}\n"
			+ "\\begin{document}\n"
			+ "\\input{/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/Capa.tex} %adiciona a capa\n"
			+ "\\input{/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/Rosto.tex} %adiciona o rosto\n"
			+ "\\input{/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/Dedicatoria.tex} %adiciona a dedicatoria\n"
			+ "\\input{/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/Agradecimento.tex} %adiciona o agradecimento\n"
			+ "\\input{/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/Resumo.tex} %adiciona o resumo\n"
			+ "\\input{/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/Abstract.tex} %adiciona o Abstract\n"
			+ "\\input{/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/Epigrafe.tex} %adiciona o Epigrafe\n"
			+ "\\renewcommand{\\contentsname}{SUMÁRIO}\n"
			+ "\\tableofcontents  %sumario\n"
			+ "\\newpage\n";
	if (p.getIntroducao() != null){
		resul2 = resul2 + "\\section{INTRODUÇÃO}" + p.getIntroducao() + "\n";
	}
	if (p.getTema() != null){
	    resul2 = resul2 + "\\subsection{TEMA}" + p.getTema() + "\n";
	}
	if (p.getProblema() != null){
	    resul2 = resul2 + "\\subsection{PROBLEMA}" + p.getProblema() + "\n";
	}
	if (p.getHipotese() != null){
	    resul2 = resul2 + "\\subsection{HIPÒTESE}" + p.getHipotese() + "\n";
	}
	if (p.getJustificativa() != null){
	    resul2 = resul2 + "\\subsection{JUSTIFICATIVA}" + p.getJustificativa() + "\n";
	}
	if (p.getObjetivo() != null){
	    resul2 = resul2 + "\\subsection{OBJETIVO GERAL}" + p.getObjetivo() + "\n";
	}
	if(p.getObjetivoe() != null){
	    resul2 = resul2 + "\\subsection{OBJETIVOS ESPECÍFICOS}" + p.getObjetivoe() + "\n";
	}
	resul2 = resul2 + "\\newpage\n";
	
	/* capítulos e subcapitulos do referencial teorico */
	
	if (p.getMtitulo1() != null){
	    resul2 = resul2 + "\\section{" + p.getMtitulo1() + "}" + p.getMcapitulo1() + "\n";
	}
		if (p.getMsubtitulo0() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo0() + "}" + p.getMsubcapitulo0() + "\n";

			if (p.getMsubsubtitulo0() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo0() + "}" + p.getMsubsubcapitulo0() + "\n";
			}
		}
		else{resul2 = resul2 + " ";}
		if (p.getMsubtitulo1() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo1() + "}" + p.getMsubcapitulo1() + "\n";
		
			if (p.getMsubsubtitulo1() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo1() + "}" + p.getMsubsubcapitulo1() + "\n";
			}
		}
		else{resul2 = resul2 + " ";}
		if (p.getMsubtitulo2() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo2() + "}" + p.getMsubcapitulo2() + "\n";
		
			if (p.getMsubsubtitulo2() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo2() + "}" + p.getMsubsubcapitulo2() + "\n";
			}
		}
		else{resul2 = resul2 + " ";}
		if (p.getMsubtitulo3() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo3() + "}" + p.getMsubcapitulo3() + "\n";
		
			if (p.getMsubsubtitulo3() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo3() + "}" + p.getMsubsubcapitulo3() + "\n";
			}
		}
		else{resul2 = resul2 + " ";}
		if (p.getMsubtitulo4() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo4() + "}" + p.getMsubcapitulo4() + "\n";
		
			if (p.getMsubsubtitulo4() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo4() + "}" + p.getMsubsubcapitulo4() + "\n";
			}
		}else{resul2 = resul2 + " ";}
		if (p.getMsubtitulo5() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo5() + "}" + p.getMsubcapitulo5() + "\n";
		
			if (p.getMsubsubtitulo5() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo5() + "}" + p.getMsubsubcapitulo5() + "\n";
			}
		}else{resul2 = resul2 + " ";}
		if (p.getMsubtitulo6() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo6() + "}" + p.getMsubcapitulo6() + "\n";
		
			if (p.getMsubsubtitulo6() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo6() + "}" + p.getMsubsubcapitulo6() + "\n";
			}
		}else{resul2 = resul2 + " ";}
		if (p.getMsubtitulo7() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo7() + "}" + p.getMsubcapitulo7() + "\n";
		
			if (p.getMsubsubtitulo7() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo7() + "}" + p.getMsubsubcapitulo7() + "\n";
			}
		}else{resul2 = resul2 + "";}
		resul2 = resul2 + "\\newpage\n";
		
	/* capitulo da metodologia */
	
	if (p.getMtitulo3() != null){
	    resul2 = resul2 + "\\section{" + p.getMtitulo3() + "}" + p.getMcapitulo3() + "\n";
	}
		if (p.getMsubtitulo8() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo8() + "}" + p.getMsubcapitulo8() + "\n";
		
			if (p.getMsubsubtitulo8() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo8() + "}" + p.getMsubsubcapitulo8() + "\n";
			}
		}else{resul2 = resul2 + "";}
		if (p.getMsubtitulo9() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo9() + "}" + p.getMsubcapitulo9() + "\n";
		
			if (p.getMsubsubtitulo9() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo9() + "}" + p.getMsubsubcapitulo9() + "\n";
			}
		}else{resul2 = resul2 + "";}
		if (p.getMsubtitulo10() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo10() + "}" + p.getMsubcapitulo10() + "\n";
		
			if (p.getMsubsubtitulo10() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo10() + "}" + p.getMsubsubcapitulo10() + "\n";
			}
		}else{resul2 = resul2 + "";}
		if (p.getMsubtitulo11() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo11() + "}" + p.getMsubcapitulo11() + "\n";
		
			if (p.getMsubsubtitulo11() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo11() + "}" + p.getMsubsubcapitulo11() + "\n";
			}
		}else{resul2 = resul2 + "";}				
	resul2 = resul2 + "\\newpage\n";
	
	if (p.getMtitulo4() != null){
	    resul2 = resul2 + "\\section{" + p.getMtitulo4() + "}" + p.getMcapitulo4() + "\n";
	}
		if (p.getMsubtitulo12() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo12() + "}" + p.getMsubcapitulo12() + "\n";
		
			if (p.getMsubsubtitulo12() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo12() + "}" + p.getMsubsubcapitulo12() + "\n";
			}
		}else{resul2 = resul2 + "";}
		if (p.getMsubtitulo13() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo13() + "}" + p.getMsubcapitulo13() + "\n";
		
			if (p.getMsubsubtitulo13() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo13() + "}" + p.getMsubsubcapitulo13() + "\n";
			}
		}else{resul2 = resul2 + "";}
		if (p.getMsubtitulo14() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo14() + "}" + p.getMsubcapitulo14() + "\n";
		
			if (p.getMsubsubtitulo14() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo14() + "}" + p.getMsubsubcapitulo14() + "\n";
			}
		}else{resul2 = resul2 + "";}
		if (p.getMsubtitulo15() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo15() + "}" + p.getMsubcapitulo15() + "\n";
		
			if (p.getMsubsubtitulo15() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo15() + "}" + p.getMsubsubcapitulo15() + "\n";
			}
		}else{resul2 = resul2 + "";}
	resul2 = resul2 + "\\newpage\n";
	
	/* capitulo de resursos */
	
	resul2 = resul2	+ "\n";
	if (p.getMtitulo5() != null){
	    resul2 = resul2 + "\\section{" + p.getMtitulo5() + "}" + p.getMcapitulo5() + "\n";
	}
		if (p.getMsubtitulo16() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo16() + "}" + p.getMsubcapitulo16() + "\n";
		
			if (p.getMsubsubtitulo17() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo17() + "}" + p.getMsubsubcapitulo17() + "\n";
			}
		}else{resul2 = resul2 + "";}
		if (p.getMsubtitulo17() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo17() + "}" + p.getMsubcapitulo17() + "\n";
		
			if (p.getMsubsubtitulo18() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo18() + "}" + p.getMsubsubcapitulo18() + "\n";
			}
		}else{resul2 = resul2 + "";}
		if (p.getMsubtitulo18() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo18() + "}" + p.getMsubcapitulo18() + "\n";
		
			if (p.getMsubsubtitulo19() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo19() + "}" + p.getMsubsubcapitulo19() + "\n";
			}
		}else{resul2 = resul2 + "";}
		if (p.getMsubtitulo19() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo19() + "}" + p.getMsubcapitulo19() + "\n";
		
			if (p.getMsubsubtitulo20() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo20() + "}" + p.getMsubsubcapitulo20() + "\n";
			}
		}else{resul2 = resul2 + "";}
	resul2 = resul2 + "\\newpage\n";
	
	/* Cronograma */
	
	resul2 = resul2	+ "\n";
	if (p.getMtitulo6() != null){
	    resul2 = resul2 + "\\section{" + p.getMtitulo6() + "}" + p.getMcapitulo6() + "\n";
	}
		if (p.getMsubtitulo20() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo20() + "}" + p.getMsubcapitulo20() + "\n";
		
			if (p.getMsubsubtitulo21() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo21() + "}" + p.getMsubsubcapitulo21() + "\n";
			}
		}else{resul2 = resul2 + "";}
		if (p.getMsubtitulo21() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo21() + "}" + p.getMsubcapitulo21() + "\n";
		
			if (p.getMsubsubtitulo22() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo22() + "}" + p.getMsubsubcapitulo22() + "\n";
			}
		}else{resul2 = resul2 + "";}
		if (p.getMsubtitulo22() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo22() + "}" + p.getMsubcapitulo22() + "\n";
		
			if (p.getMsubsubtitulo23() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo23() + "}" + p.getMsubsubcapitulo23() + "\n";
			}
		}else{resul2 = resul2 + "";}
		if (p.getMsubtitulo23() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo23() + "}" + p.getMsubcapitulo23() + "\n";
		
			if (p.getMsubsubtitulo24() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo24() + "}" + p.getMsubsubcapitulo24() + "\n";
			}
		}else{resul2 = resul2 + "";}
			
	/* desenvolvimento e Conclusão */			
				
	resul2 = resul2 + "\\newpage\n";
	if (p.getMtitulo7() != null){
	    resul2 = resul2 + "\\section{" + p.getMtitulo6() + "}" + p.getMcapitulo6() + "\n";
	}
		if (p.getMsubtitulo24() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo24() + "}" + p.getMsubcapitulo24() + "\n";
		
			if (p.getMsubsubtitulo25() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo25() + "}" + p.getMsubsubcapitulo25() + "\n";
			}
		}else{resul2 = resul2 + " ";}
		if (p.getMsubtitulo25() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo25() + "}" + p.getMsubcapitulo25() + "\n";
		
			if (p.getMsubsubtitulo26() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo26() + "}" + p.getMsubsubcapitulo26() + "\n";
			}
		}else{resul2 = resul2 + " ";}
	resul2 = resul2 + "\\newpage\n";
	if (p.getMtitulo8() != null){
	    resul2 = resul2 + "\\section{" + p.getMtitulo6() + "}" + p.getMcapitulo6() + "\n";
	}
		if (p.getMsubtitulo27() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo27() + "}" + p.getMsubcapitulo27() + "\n";
		
			if (p.getMsubsubtitulo29() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo29() + "}" + p.getMsubsubcapitulo29() + "\n";
			}
		}else{resul2 = resul2 + " ";}
		if (p.getMsubtitulo28() != null){
		    resul2 = resul2 + "\\subsection{"+p.getMsubtitulo28() + "}" + p.getMsubcapitulo28() + "\n";
		
			if (p.getMsubsubtitulo30() != null){
			    resul2 = resul2 + "\\subsubsection{"+p.getMsubsubtitulo30() + "}" + p.getMsubsubcapitulo30() + "\n";
			}
		}else{resul2 = resul2 + " ";}
	resul2 = resul2	+ "\\newpage" + "\n"
			+ "\\end{document}" + "\n";
	File arquivo2 = new File("/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/Tcc.tex");
	try {
	    if (arquivo2.exists()) {
		arquivo2.delete();
		arquivo2.createNewFile();
	    } else {
		arquivo2.createNewFile();
	    }
	    try (FileWriter fw = new FileWriter(arquivo2, true); BufferedWriter bw = new BufferedWriter(fw)) {
		bw.write(resul2);
		bw.newLine();
	    }
	} catch (IOException ex) {
	    System.out.println("não foi possível criar o arquivo Tcc.tex");
	}
    }    
    @GET
    @Path("/pdf")
    @Produces("application/pdf")
    public Response ReadPDF(Ufpr p) {
	File file = new File("/home/alexandre/NetBeansProjects/Formatador_Servidor/src/java/Arquivos/Tcc.pdf");
	ResponseBuilder response = Response.ok((Object) file);
	response.header("Content-Disposition", "filename=Tcc.pdf");
	return response.build();
    }    
}
